<?php
	if (!function_exists( 'add_action' )) {
		@require_once( '../../../wp-config.php' );
		status_header( 404 );
		nocache_headers(  );
		@include( @get_404_template(  ) );
		exit(  );
	}

	echo '
';
	echo '<s';
	echo 'tyle type="text/css">
div.cyberseo-ui-tabs-panel {
        margin: 0 5px 0 0px;
        padding: .5em .9em;
        height: 11em;
        width: 675px;
        overflow: auto;
        border: 1px solid #dfdfdf;
}

.error a {
        color: #100;
}
</style>

';
	echo '<s';
	echo 'cript type="text/javascript">
<!--
function checkAll(form) {
        for (i = 0, n = form.elements.length; i < n; i++) {
                if(form.elements[i].type == "checkbox" && !(form.elements[i].getAttribute(\'onclick\',2))) {
                        if(form.elements[i].checked == true)
                        form.elements[i].checked = false;
                        else
                  ';
	echo '      form.elements[i].checked = true;
                }
        }
}
//-->
</script>

<div class="wrap">
        <h2>
        ';

	if (isset( $_POST['alter_default_settings'] )) {
		echo 'XML Syndicator - Default Settings';
	} 
else {
		echo 'XML Syndicator';
	}

	echo '        </h2>
        ';

	if (!cseo_check_serial( false )) {
		exit(  );
	}


	if (is_admin(  )) {
		if (isset( $_POST['import_feeds'] )) {
			if ($_FILES['file']['error']   = UPLOAD_ERR_OK) {
				$file = file_get_contents( $_FILES['file']['tmp_name'] );
				unlink( $_FILES['file']['tmp_name'] );
				$cseo_syndicator->unserializeFeeds( $file );
			}
		}
	}


	if (( defined( 'CXXX_ALLOW_PHP_CODE' ) && !CXXX_ALLOW_PHP_CODE )) {
		$_POST['php_code'] = '';
	}


	if (defined( 'CXXX_MAX_HEADERS' )) {
		$cseo_headers = split( '<!--more-->', str_replace( '####more####', '<!--more-->', stripslashes( trim( $_POST['post_header'] ) ) ) );
		$cseo_headers = array_slice( $cseo_headers, 0, min( CXXX_MAX_HEADERS, sizeof( $cseo_headers ) ) );
		$_POST['post_header'] = implode( '<!--more-->', $cseo_headers );
	}


	if (defined( 'CXXX_MAX_FOOTERS' )) {
		$cseo_footers = split( '<!--more-->', str_replace( '####more####', '<!--more-->', stripslashes( trim( $_POST['post_footer'] ) ) ) );
		$cseo_footers = array_slice( $cseo_footers, 0, min( CXXX_MAX_FOOTERS, sizeof( $cseo_footers ) ) );
		$_POST['post_footer'] = implode( '<!--more-->', $cseo_footers );
	}


	if (defined( 'CXXX_MIN_UPDATE_TIME' )) {
		$min_update_time = CXXX_MIN_UPDATE_TIME;
	} 
else {
		$min_update_time = 10;
	}


	if (isset( $_GET['edit-feed-id'] )) {
		$cseo_syndicator->feedPreview( $cseo_syndicator->fixURL( $cseo_syndicator->feeds[(int)$_GET['edit-feed-id']]['url'] ), true );
		$cseo_syndicator->showSettings( true, $cseo_syndicator->feeds[(int)$_GET['edit-feed-id']]['options'] );
	} 
else {
		if (isset( $_POST['update_feed_settings'] )) {
			$date_min = (int)$_POST['date_min'];
			$date_max = (int)$_POST['date_max'];

			if ($date_max < $date_min) {
				$date_min = $date_max;
			}


			if (mb_strlen( trim( stripslashes( htmlspecialchars( $_POST['feed_title'], ENT_NOQUOTES ) ) ) )  = 0) {
				$_POST['feed_title'] = 'no name';
			}

			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['title'] = trim( stripslashes( htmlspecialchars( $_POST['feed_title'], ENT_NOQUOTES ) ) );
			$new_url = trim( $_POST['new_feed_url'] );
			$old_url = $cseo_syndicator->feeds[(int)$_POST['feed_id']]['url'];

			if (( stripos( $new_url, 'http' )   = 0 && $new_url != $old_url )) {
				$query = 'UPDATE ' . $wpdb->postmeta . ' SET meta_value = \'' . $new_url . '\' WHERE meta_key = \'cyberseo_rss_source\' AND meta_value = \'' . $old_url . '\'';
				$wpdb->get_results( $query );
				$cseo_syndicator->feeds[(int)$_POST['feed_id']]['url'] = $new_url;
			}


			if ((int)$_POST['update_interval']  = 0) {
				$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['interval'] = 0;
			} 
else {
				$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['interval'] = max( $min_update_time, abs( (int)$_POST['update_interval'] ) );
			}

			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['post_status'] = $_POST['post_status'];
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['comment_status'] = $_POST['post_comments'];
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['ping_status'] = $_POST['post_pings'];
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['post_author'] = intval( $_POST['post_author'] );
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['base_date'] = $_POST['post_publish_date'];
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['max_items'] = abs( intval( $_POST['max_items'] ) );
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['post_category'] = $_POST['post_category'];
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['duplicate_check_method'] = $_POST['duplicate_check_method'];
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['undefined_category'] = $_POST['undefined_category'];
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['proxy_mode'] = $_POST['proxy_mode'];
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['synonymizer_mode'] = $_POST['synonymizer_mode'];
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['date_min'] = $date_min;
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['date_max'] = $date_max;
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['shuffle_paragraphs'] = $_POST['shuffle_paragraphs'];
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['shuffle_xml_items'] = $_POST['shuffle_xml_items'];
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['morph_headers_and_footers'] = $_POST['morph_headers_and_footers'];
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['preserve_titles'] = $_POST['preserve_titles'];
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['insert_media_attachments'] = $_POST['insert_media_attachments'];
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['post_links_handling'] = $_POST['post_links_handling'];
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['set_thumbnail'] = $_POST['set_thumbnail'];
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['parse_archives'] = $_POST['parse_archives'];
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['convert_encoding'] = $_POST['convert_encoding'];
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['store_images'] = $_POST['store_images'];
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['include_post_headers'] = $_POST['include_post_headers'];
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['include_post_footers'] = $_POST['include_post_footers'];
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['utf8_encoding'] = $_POST['utf8_encoding'];
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['create_tags'] = $_POST['create_tags'];
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['extract_full_articles'] = $_POST['extract_full_articles'];
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['post_tags'] = $_POST['post_tags'];
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['xml_section_tags'] = str_replace( ' ', '', mb_strtoupper( $_POST['xml_section_tags'] ) );
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['post_header'] = str_replace( '####more####', '<!--more-->', $_POST['post_header'] );
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['post_footer'] = str_replace( '####more####', '<!--more-->', $_POST['post_footer'] );
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['php_code'] = trim( $_POST['php_code'] );
			$cseo_syndicator->feeds[(int)$_POST['feed_id']]['options']['custom_fields'] = str_replace( '::', '->', trim( $_POST['custom_fields'] ) );
			cseo_set_option( CXXX_SYNDICATED_FEEDS, $cseo_syndicator->feeds, '', 'yes' );
			$cseo_syndicator->showMainPage( false );
		} 
else {
			if (isset( $_POST['check_for_updates'] )) {
				$cseo_syndicator->show_report = true;
				$cseo_syndicator->syndicateFeeds( $_POST['feed_ids'], false );
				$cseo_syndicator->showMainPage( false );
			} 
else {
				if (( isset( $_POST['delete_feeds'] ) && isset( $_POST['feed_ids'] ) )) {
					$cseo_syndicator->deleteFeeds( $_POST['feed_ids'], false, true );
					$cseo_syndicator->showMainPage( false );
				} 
else {
					if (( isset( $_POST['delete_posts'] ) && isset( $_POST['feed_ids'] ) )) {
						$cseo_syndicator->deleteFeeds( $_POST['feed_ids'], true, false );
						$cseo_syndicator->showMainPage( false );
					} 
else {
						if (( isset( $_POST['delete_feeds_and_posts'] ) && isset( $_POST['feed_ids'] ) )) {
							$cseo_syndicator->deleteFeeds( $_POST['feed_ids'], true, true );
							$cseo_syndicator->showMainPage( false );
						} 
else {
							if (( isset( $_POST['new_feed'] ) && 0 < strlen( $_POST['feed_url'] ) )) {
								if ($cseo_syndicator->feedPreview( $cseo_syndicator->fixURL( $_POST['feed_url'] ), false )) {
									$options = $cseo_syndicator->global_options;
									$options['undefined_category'] = 'use_global';
									$cseo_syndicator->showSettings( true, $options );
								} 
else {
									$cseo_syndicator->showMainPage( true );
								}
							} 
else {
								if (isset( $_POST['syndicate_feed'] )) {
									$date_min = (int)$_POST['date_min'];
									$date_max = (int)$_POST['date_max'];

									if ($date_max < $date_min) {
										$date_min = $date_max;
									}


									if (mb_strlen( trim( stripslashes( htmlspecialchars( $_POST['feed_title'], ENT_NOQUOTES ) ) ) )  = 0) {
										$_POST['feed_title'] = 'no name';
									}


									if ((int)$_POST['update_interval']  = 0) {
										$update_interval = 10;
									} 
else {
										$update_interval = max( $min_update_time, abs( (int)$_POST['update_interval'] ) );
									}

									$feed = array(  );
									$feed['title'] = trim( stripslashes( htmlspecialchars( $_POST['feed_title'], ENT_NOQUOTES ) ) );
									$feed['url'] = $_POST['feed_url'];
									$feed['updated'] = 0;
									$feed['options']['interval'] = $update_interval;
									$feed['options']['post_category'] = $_POST['post_category'];
									$feed['options']['post_status'] = $_POST['post_status'];
									$feed['options']['comment_status'] = $_POST['post_comments'];
									$feed['options']['ping_status'] = $_POST['post_pings'];
									$feed['options']['post_author'] = intval( $_POST['post_author'] );
									$feed['options']['base_date'] = $_POST['post_publish_date'];
									$feed['options']['duplicate_check_method'] = $_POST['duplicate_check_method'];
									$feed['options']['undefined_category'] = $_POST['undefined_category'];
									$feed['options']['proxy_mode'] = $_POST['proxy_mode'];
									$feed['options']['synonymizer_mode'] = $_POST['synonymizer_mode'];
									$feed['options']['post_tags'] = $_POST['post_tags'];
									$feed['options']['xml_section_tags'] = str_replace( ' ', '', mb_strtoupper( $_POST['xml_section_tags'] ) );
									$feed['options']['date_min'] = $date_min;
									$feed['options']['date_max'] = $date_max;
									$feed['options']['shuffle_paragraphs'] = $_POST['shuffle_paragraphs'];
									$feed['options']['shuffle_xml_items'] = $_POST['shuffle_xml_items'];
									$feed['options']['morph_headers_and_footers'] = $_POST['morph_headers_and_footers'];
									$feed['options']['preserve_titles'] = $_POST['preserve_titles'];
									$feed['options']['insert_media_attachments'] = $_POST['insert_media_attachments'];
									$feed['options']['post_links_handling'] = $_POST['post_links_handling'];
									$feed['options']['set_thumbnail'] = $_POST['set_thumbnail'];
									$feed['options']['parse_archives'] = $_POST['parse_archives'];
									$feed['options']['convert_encoding'] = $_POST['convert_encoding'];
									$feed['options']['store_images'] = $_POST['store_images'];
									$feed['options']['include_post_headers'] = $_POST['include_post_headers'];
									$feed['options']['include_post_footers'] = $_POST['include_post_footers'];
									$feed['options']['utf8_encoding'] = $_POST['utf8_encoding'];
									$feed['options']['create_tags'] = $_POST['create_tags'];
									$feed['options']['extract_full_articles'] = $_POST['extract_full_articles'];
									$feed['options']['max_items'] = abs( (int)$_POST['max_items'] );
									$feed['options']['post_header'] = str_replace( '####more####', '<!--more-->', $_POST['post_header'] );
									$feed['options']['post_footer'] = str_replace( '####more####', '<!--more-->', $_POST['post_footer'] );
									$feed['options']['php_code'] = trim( $_POST['php_code'] );
									$feed['options']['custom_fields'] = str_replace( '::', '->', trim( $_POST['custom_fields'] ) );
									$feed['options']['last_archive_page'] = 2;
									$id = array_push( $cseo_syndicator->feeds, $feed );

									if (intval( $update_interval ) != 0) {
										$cseo_syndicator->show_report = false;
										$cseo_syndicator->syndicateFeeds( array( $id ), false );
									}

									sort( $cseo_syndicator->feeds );
									cseo_set_option( CXXX_SYNDICATED_FEEDS, $cseo_syndicator->feeds, '', 'yes' );
									$cseo_syndicator->showMainPage( false );
								} 
else {
									if (isset( $_POST['update_default_settings'] )) {
										$date_min = (int)$_POST['date_min'];
										$date_max = (int)$_POST['date_max'];

										if ($date_max < $date_min) {
											$date_min = $date_max;
										}

										$cseo_syndicator->global_options['interval'] = max( $min_update_time, abs( (int)$_POST['update_interval'] ) );
										$cseo_syndicator->global_options['post_status'] = $_POST['post_status'];
										$cseo_syndicator->global_options['comment_status'] = $_POST['post_comments'];
										$cseo_syndicator->global_options['ping_status'] = $_POST['post_pings'];
										$cseo_syndicator->global_options['post_author'] = intval( $_POST['post_author'] );
										$cseo_syndicator->global_options['base_date'] = $_POST['post_publish_date'];
										$cseo_syndicator->global_options['max_items'] = abs( (int)$_POST['max_items'] );
										$cseo_syndicator->global_options['post_category'] = $_POST['post_category'];
										$cseo_syndicator->global_options['duplicate_check_method'] = $_POST['duplicate_check_method'];
										$cseo_syndicator->global_options['undefined_category'] = $_POST['undefined_category'];
										$cseo_syndicator->global_options['proxy_mode'] = $_POST['proxy_mode'];
										$cseo_syndicator->global_options['synonymizer_mode'] = $_POST['synonymizer_mode'];
										$cseo_syndicator->global_options['date_min'] = $date_min;
										$cseo_syndicator->global_options['date_max'] = $date_max;
										$cseo_syndicator->global_options['shuffle_paragraphs'] = $_POST['shuffle_paragraphs'];
										$cseo_syndicator->global_options['shuffle_xml_items'] = $_POST['shuffle_xml_items'];
										$cseo_syndicator->global_options['morph_headers_and_footers'] = $_POST['morph_headers_and_footers'];
										$cseo_syndicator->global_options['preserve_titles'] = $_POST['preserve_titles'];
										$cseo_syndicator->global_options['insert_media_attachments'] = $_POST['insert_media_attachments'];
										$cseo_syndicator->global_options['post_links_handling'] = $_POST['post_links_handling'];
										$cseo_syndicator->global_options['set_thumbnail'] = $_POST['set_thumbnail'];
										$cseo_syndicator->global_options['parse_archives'] = $_POST['parse_archives'];
										$cseo_syndicator->global_options['convert_encoding'] = $_POST['convert_encoding'];
										$cseo_syndicator->global_options['store_images'] = $_POST['store_images'];
										$cseo_syndicator->global_options['include_post_headers'] = $_POST['include_post_headers'];
										$cseo_syndicator->global_options['include_post_footers'] = $_POST['include_post_footers'];
										$cseo_syndicator->global_options['utf8_encoding'] = $_POST['utf8_encoding'];
										$cseo_syndicator->global_options['create_tags'] = $_POST['create_tags'];
										$cseo_syndicator->global_options['extract_full_articles'] = $_POST['extract_full_articles'];
										$cseo_syndicator->global_options['post_tags'] = $_POST['post_tags'];
										$cseo_syndicator->global_options['xml_section_tags'] = str_replace( ' ', '', mb_strtoupper( $_POST['xml_section_tags'] ) );
										$cseo_syndicator->global_options['post_header'] = str_replace( '####more####', '<!--more-->', $_POST['post_header'] );
										$cseo_syndicator->global_options['post_footer'] = str_replace( '####more####', '<!--more-->', $_POST['post_footer'] );
										$cseo_syndicator->global_options['php_code'] = trim( $_POST['php_code'] );
										$cseo_syndicator->global_options['custom_fields'] = str_replace( '::', '->', trim( $_POST['custom_fields'] ) );
										cseo_set_option( CXXX_FEED_OPTIONS, $cseo_syndicator->global_options, '', 'yes' );
										$cseo_syndicator->showMainPage( false );
									} 
else {
										if (isset( $_POST['alter_default_settings'] )) {
											$cseo_syndicator->showSettings( false, $cseo_syndicator->global_options );
										} 
else {
											$cseo_syndicator->showMainPage( false );
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}

	echo '</div>
';
?>