<?php
	if (!function_exists( 'add_action' )) {
		@require_once( '../../../wp-config.php' );
		status_header( 404 );
		nocache_headers(  );
		@include( @get_404_template(  ) );
		exit(  );
	}

	echo '
';

	if (isset( $_POST['Submit'] )) {
		$cseo_sr_options['email_address'] = $_POST['email_address'];
		$cseo_sr_options['api_key'] = $_POST['api_key'];
		$cseo_sr_options['protected_terms'] = $_POST['protected_terms'];
		$cseo_sr_options['auto_protected_terms'] = 'false';
		($_POST['auto_protected_terms']  = 'on' ?  : );
		$cseo_sr_options['confidence_level'] = $_POST['confidence_level'];
		$cseo_sr_options['auto_sentences'] = 'false';
		($_POST['auto_sentences']  = 'on' ?  : );
		$cseo_sr_options['auto_paragraphs'] = 'false';
		($_POST['auto_paragraphs']  = 'on' ?  : );
		$cseo_sr_options['auto_new_paragraphs'] = 'false';
		($_POST['auto_new_paragraphs']  = 'on' ?  : );
		$update_cseo_query = update_option( CXXX_SPINREWRITER_OPTIONS, $cseo_sr_options );

		if ($update_cseo_query) {
			$text = 'SpinRewriter Setting Updated<br />';
		} 
else {
			__( 'No Option Updated' );
			$text = ;
		}
	}


	if (!empty( $text )) {
		echo '<div id="message" class="updated fade"><p>' . $text . '</p></div>';
	}

	echo '<div class="wrap">
    <h2>SpinRewriter</h2>

    <form method="post" name="general_settings">
        <table class="widefat" style="margin-top: .5em" width="100%">
            <thead>
                <tr valign="top">
                    <th>SpinRewriter Settings</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>
                      ';
	echo '  <table class="form-table">
                            <tr>
                                <th align="left">Account info</th>
                                <td align="left">
                                    ';

	if (( $cseo_sr_options['email_address'] != '' && $cseo_sr_options['api_key'] != '' )) {
		$ch = curl_init(  );
		curl_setopt( $ch, CURLOPT_URL, 'http://www.spinrewriter.com/action/api' );
		curl_setopt( $ch, CURLOPT_POST, true );
		curl_setopt( $ch, CURLOPT_POSTFIELDS, 'action=api_quota&email_address=' . urlencode( $cseo_sr_options['email_address'] ) . '&api_key=' . urlencode( $cseo_sr_options['api_key'] ) );
		curl_setopt( $ch, CURLOPT_RETURNTRANSFER, 1 );
		$spinrewriter_stats = json_decode( trim( curl_exec( $ch ) ), true );
		curl_close( $ch );
		echo $spinrewriter_stats['response'];
	} 
else {
		echo 'Please enter your email and API key to activate the SpinRewriter service.';
	}

	echo '                                </td>
                            </tr>

                            <tr>
                                <th align="left">Email address</th>
                                <td align="left">
                                    <input type="text" name="email_address" size="40" value="';
	echo $cseo_sr_options['email_address'];
	echo '"> - the email address that you\'re using with <a href="http://www.cyberseo.net/partners/spinrewriter.php" target="_blank">';
	echo '<s';
	echo 'trong>SpinRewriter</strong></a>.
                                </td>
                            </tr>

                            <tr>
                                <th align="left">API key</th>
                                <td align="left">
                                    <input type="text" name="api_key" size="40" value="';
	echo $cseo_sr_options['api_key'];
	echo '"> - your unique API key. Available when logged in.
                                </td>
                            </tr>	

                            <tr>
                                <th align="left">Protected terms</th>
                                <td align="left">
                                    <textarea cols="90" rows="5" wrap="off" name="protected_terms" style="margin:0;height';
	echo ':10em;width:100%;">';
	echo $cseo_sr_options['protected_terms'];
	echo '</textarea><br />
                                    A list of keywords and key phrases that you do NOT want to spin. One term per line.
                                </td>
                            </tr>	

                            <tr>
                                <th align="left">Auto protected terms</th>
                                <td align="left"><input type="checkbox" name="auto';
	echo '_protected_terms"
                                    ';

	if ($cseo_sr_options['auto_protected_terms']  = 'true') {
		echo 'checked';
	}

	echo ' /> - should SpinRewriter automatically protect all Capitalized Words except for those in the title of your original text?
                                </td>
                            </tr>   

                            <tr>
                                <th align="left">Confidence level</th>
                                <td align="left">
                                    ';
	echo '<s';
	echo 'elect name="confidence_level" size="1">
                                        ';
	echo '<option ' . ($cseo_sr_options['confidence_level']  = 'low' ? 'selected ' : '') . 'value="low">low </option>' . '
';
	echo '<option ' . ($cseo_sr_options['confidence_level']  = 'medium' ? 'selected ' : '') . 'value="medium">medium </option>' . '
';
	echo '<option ' . ($cseo_sr_options['confidence_level']  = 'high' ? 'selected ' : '') . 'value="high">high </option>' . '
';
	echo '                                    </select> - the confidence level of the rewrite process.<br /> 
                                    ';
	echo '<s';
	echo 'trong>low</strong>: largest number of synonyms for various words and phrases, least readable unique variations of text;<br />
                                    ';
	echo '<s';
	echo 'trong>medium</strong>: relatively reliable synonyms, usually well readable unique variations of text (default setting);<br />
                                    ';
	echo '<s';
	echo 'trong>high</strong>: only the most reliable synonyms, perfectly readable unique variations of text.
                                </td>
                            </tr>                                                        

                            <tr>
                                <th align="left">Auto sentences</th>
                                <td align="left"><input type="checkbox"';
	echo ' name="auto_sentences"
                                    ';

	if ($cseo_sr_options['auto_sentences']  = 'true') {
		echo 'checked';
	}

	echo ' /> - should SpinRewriter spin complete sentences? If enabled, some sentences will be replaced with a (shorter) spun variation.
                                </td>
                            </tr>   

                            <tr>
                                <th align="left">Auto paragraphs</th>
                                <td align="left"><input type="checkbox" name="auto_paragraphs"';
	echo '
                                    ';

	if ($cseo_sr_options['auto_paragraphs']  = 'true') {
		echo 'checked';
	}

	echo ' /> - should SpinRewriter spin entire paragraphs? If enabled, some paragraphs will be replaced with a (shorter) spun variation.
                                </td>
                            </tr>   

                            <tr>
                                <th align="left">Auto new paragraphs</th>
                                <td align="left"><input type="checkbox" name="auto_new_par';
	echo 'agraphs"
                                    ';

	if ($cseo_sr_options['auto_new_paragraphs']  = 'true') {
		echo 'checked';
	}

	echo ' /> - should SpinRewriter automatically write additional paragraphs on its own? If enabled, the returned spun text will contain additional paragraphs.
                                </td>
                            </tr>                               
                        </table>
                    </td>
                </tr>									
            </tbody>
        </table>
        <br />
  ';
	echo '      <div align="center">
            <input type="submit" name="Submit" class="button-primary"
                   value="Update Options" />&nbsp;&nbsp;<input type="button"
                   name="cancel" value="Cancel" class="button"
                   onclick="javascript:history.go(-1)" />
        </div>
    </form>
</div>
';
?>